QGIS Application - Bug report #760

QGIS crashes when Postgis Layer GeometryType doesn't correspond with geometry_columns

definition
2007-09-03 01:54 AM - horst-duester -

Status: Closed

Priority: Low

Assignee: Gavin Macaulay -

Category: Data Provider

Affected QGIS version: Regression?: No
Operating System: Linux Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10819
Description

QGIS crashes when | load a [[PostGIS]] Layer with wrong geometry type definition in geometry_columns.
1. Define Layer in geometry_columns with geometry type POLYGON
2. create a layer with geometry type LINESTRING
3. load this layer
4. QGIS crash

History

#1 - 2007-11-04 08:13 PM - Gavin Macaulay -
- Status changed from Open to In Progress

#2 - 2007-11-04 11:50 PM - Gavin Macaulay -

Works for me with commit:aca333fe (SVN r7323). Can you try again, and if it still occurs give some more details on the problem?

#3 - 2007-11-05 12:00 AM - horst-duester -

It seems to be solved. | can't reproduce this error too. | think we can close this ticket.

#4 - 2007-11-23 12:21 PM - Gavin Macaulay -
- Resolution set to fixed
- Status changed from In Progress to Closed

Seems to have been fixed.

#5 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.9.1 deleted
